Update infrastructure

Updates the name or the service account credentials of the specified infrastructure.

Requires one of the following license types: ioa, ioaPreview, or ioe. See License Types.

Requires the Edit permission on the Forests entity (edit:infrastructure). See Identity Exposure Permissions.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
^[0-9]+$

Specifies the ID of the infrastructure.

Body Params

Validates the PATCH /infrastructures/:id request

string

Specifies the name of the forest.

string

Specifies the service account that connects to the forest, as a user principal name such as [email protected] or as DOMAIN\account.

string

Specifies the password of the service account.

Responses

401

Returned if the API key specified in your request is invalid.

404

Returned if the specified infrastructure could not be found.

500

Returned if an internal error occurred.

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json